{
  "name": "redaction",
  "version": "5.0.0",
  "private": true,
  "license": "MIT",
  "scripts": {
    "build": "ng build",
    "build-lint-all": "ng build --project=red-ui --configuration production --base-href /ui/ --output-hashing all",
    "build-paligo-styles": "mkdir -p dist/paligo-styles && sass --load-path=. paligo-styles/style.scss > dist/paligo-styles/redacto-theme.css",
    "i18n:extract": "ngx-translate-extract --input ./apps/red-ui/src ./libs/common-ui/src --output apps/red-ui/src/assets/i18n/{redact,scm}/{en,de}.json --clean --sort --format namespaced-json && prettier apps/red-ui/src/assets/i18n/*/*.json --write",
    "start": "ng serve",
    "localazy": "ts-node tools/localazy/src/index.ts",
    "analyze": "ng build --stats-json && webpack-bundle-analyzer dist/apps/red-ui/stats.json",
    "prepare": "husky install",
    "lint": "ng lint"
  },
  "lint-staged": {
    "*": "prettier --ignore-unknown --write",
    "*.{ts,js,html}": "eslint --fix"
  },
  "dependencies": {
    "@angular/animations": "18.0.3",
    "@angular/cdk": "18.0.3",
    "@angular/common": "18.0.3",
    "@angular/compiler": "18.0.3",
    "@angular/core": "18.0.3",
    "@angular/forms": "18.0.3",
    "@angular/material": "18.0.3",
    "@angular/platform-browser": "18.0.3",
    "@angular/platform-browser-dynamic": "18.0.3",
    "@angular/router": "18.0.3",
    "@angular/service-worker": "18.0.3",
    "@materia-ui/ngx-monaco-editor": "^6.0.0",
    "@messageformat/core": "^3.3.0",
    "@ngx-translate/core": "15.0.0",
    "@ngx-translate/http-loader": "8.0.0",
    "@pdftron/webviewer": "10.10.1",
    "chart.js": "4.4.3",
    "dayjs": "1.11.11",
    "file-saver": "^2.0.5",
    "jszip": "^3.10.1",
    "jwt-decode": "^4.0.0",
    "keycloak-angular": "15.1.0",
    "keycloak-js": "23.0.1",
    "lodash-es": "^4.17.21",
    "monaco-editor": "0.49.0",
    "ng2-charts": "6.0.1",
    "ngx-color-picker": "16.0.0",
    "ngx-logger": "^5.0.11",
    "ngx-toastr": "19.0.0",
    "ngx-translate-messageformat-compiler": "7.0.0",
    "object-hash": "^3.0.0",
    "papaparse": "^5.4.0",
    "rxjs": "7.8.1",
    "sass": "1.77.5",
    "scroll-into-view-if-needed": "3.1.0",
    "streamsaver": "^2.0.5",
    "tslib": "2.6.3",
    "zone.js": "0.14.7"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^18.0.7",
    "@angular-devkit/core": "18.0.4",
    "@angular-devkit/schematics": "18.0.4",
    "@angular-eslint/builder": "18.0.1",
    "@angular-eslint/eslint-plugin": "18.0.1",
    "@angular-eslint/eslint-plugin-template": "18.0.1",
    "@angular-eslint/schematics": "18.0.1",
    "@angular-eslint/template-parser": "18.0.1",
    "@angular/build": "^18.0.4",
    "@angular/cli": "18.0.4",
    "@angular/compiler-cli": "18.0.3",
    "@angular/language-service": "18.0.3",
    "@localazy/ts-api": "^1.0.0",
    "@schematics/angular": "18.0.4",
    "@types/file-saver": "^2.0.7",
    "@types/jest": "29.5.12",
    "@types/lodash-es": "4.17.12",
    "@types/node": "20.14.2",
    "@typescript-eslint/eslint-plugin": "^7.2.0",
    "@typescript-eslint/parser": "^7.2.0",
    "@typescript-eslint/utils": "^7.16.0",
    "@vendure/ngx-translate-extract": "9.2.0",
    "axios": "1.7.2",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "9.1.0",
    "eslint-plugin-prettier": "5.1.3",
    "eslint-plugin-rxjs": "^5.0.2",
    "google-translate-api-browser": "^5.0.0",
    "husky": "^9.0.11",
    "jest": "29.7.0",
    "jest-environment-jsdom": "29.7.0",
    "jest-extended": "4.0.2",
    "jest-preset-angular": "14.1.0",
    "lint-staged": "15.2.7",
    "prettier": "3.3.2",
    "sonarqube-scanner": "4.0.1",
    "ts-node": "10.9.2",
    "typescript": "5.4.5",
    "webpack": "5.92.0",
    "webpack-bundle-analyzer": "4.10.2",
    "xliff": "^6.2.1"
  }
}
